#!/usr/local/bin/perl -w 

$RUNTIMEFILE="summarylist_2000_scan1.txt";
$DATASETFILE="2000_scan1.txt";
$year=2000;

open(DATASET, $DATASETFILE) ||
    die print "Error opening $DATASETFILE";

# first line tells us where the result files are
$FILEDIR=<DATASET>; 
chop($FILEDIR);

# init
$dfilename="datasetX.txt"; 
$startrun=0;
$stoprun=99999;
$ndatasets=0;

while(<DATASET>) {

    ($startrun,$stoprun,$dfilename)=split(/ /);
#    print "startrun = $startrun\n";
#    print "stoprun = $stoprun\n";
#    print "dfilename = $dfilename\n";
    $ndatasets++;

# now we should figure out what the start and stop time stamps for these 
# datasets are. Let's use the runinfo file for this..

    open(RUNINFO, $RUNTIMEFILE) ||
	die print "Error opening $RUNTIMEFILE";

    $runnr=-1; 
    $month="Jan";
    $date=-1;
    $hour=-1;
    $minute=-1;
    $sec=-1;

    $firstrun=-1;
    $firstdiff=99999;
    $firstmonth="Jan";
    $firstdate=-1;
    $firsthour=-1;
    $firstminute=-1;
    $firstsec=-1;

    $lastrun=-1;
    $lastdiff=99999;
    $lastmonth="Jan";
    $lastdate=-1;
    $lasthour=-1;
    $lastminute=-1;
    $lastsec=-1;

    while(<RUNINFO>) {

	($runnr,$month,$date,$hour,$minute,$sec)=split(/ /);
	chop($sec);
#	print "run number = $runnr\n";
#	print "month = $month\n";
#	print "date = $date\n";
#	print "hour = $hour\n";
#	print "minute = $minute\n";
#	print "sec = $sec\n";

	if (abs($runnr-$startrun)<=$firstdiff) {
#	    print "FIRST!!\n";
	    $firstdiff=abs($runnr-$startrun);
	    $firstrun=$runnr+0;
	    $firstmonth=$month;
	    $firstdate=$date+0;
	    $firsthour=$hour+0;
	    $firstminute=$minute+0;
	    $firstsec=$sec+0;
	}
	if (abs($runnr-$stoprun)<=$lastdiff) {
#	    print "FIRST!!\n";
	    $lastdiff=abs($runnr-$stoprun);
#	if ($runnr<=$stoprun) {
#	    print "LAST!!\n";
	    $lastrun=$runnr+0;
	    $lastmonth=$month;
	    $lastdate=$date+0;
	    $lasthour=$hour+0;
	    $lastminute=$minute+0;
	    $lastsec=$sec+0;
	}
    }
    close(RUNINFO);

# convert month strings to a number
    $firstmonthnr=0;
    if ($firstmonth eq "Jan") { $firstmonthnr=1; }
    elsif ($firstmonth eq "Feb") { $firstmonthnr=2; }
    elsif ($firstmonth eq "Mar") { $firstmonthnr=3; }
    elsif ($firstmonth eq "Apr") { $firstmonthnr=4; }
    elsif ($firstmonth eq "May") { $firstmonthnr=5; }
    elsif ($firstmonth eq "Jun") { $firstmonthnr=6; }
    elsif ($firstmonth eq "Jul") { $firstmonthnr=7; }
    elsif ($firstmonth eq "Aug") { $firstmonthnr=8; }
    elsif ($firstmonth eq "Sep") { $firstmonthnr=9; }
    elsif ($firstmonth eq "Oct") { $firstmonthnr=10; }
    elsif ($firstmonth eq "Nov") { $firstmonthnr=11; }
    elsif ($firstmonth eq "Dec") { $firstmonthnr=12; }
    else {
	print " There is no such (first) month as $firstmonth!\n";
    }

    $lastmonthnr=0;
    if ($lastmonth eq "Jan") { $lastmonthnr=1; }
    elsif ($lastmonth eq "Feb") { $lastmonthnr=2; }
    elsif ($lastmonth eq "Mar") { $lastmonthnr=3; }
    elsif ($lastmonth eq "Apr") { $lastmonthnr=4; }
    elsif ($lastmonth eq "May") { $lastmonthnr=5; }
    elsif ($lastmonth eq "Jun") { $lastmonthnr=6; }
    elsif ($lastmonth eq "Jul") { $lastmonthnr=7; }
    elsif ($lastmonth eq "Aug") { $lastmonthnr=8; }
    elsif ($lastmonth eq "Sep") { $lastmonthnr=9; }
    elsif ($lastmonth eq "Oct") { $lastmonthnr=10; }
    elsif ($lastmonth eq "Nov") { $lastmonthnr=11; }
    elsif ($lastmonth eq "Dec") { $lastmonthnr=12; }
    else {
	print " There is no such (last) month as $lastmonth!\n";
    }
# first test..
    print "$FILEDIR $dfilename ";
    print "$firstrun $year $firstmonthnr $firstdate $firsthour $firstminute $firstsec ";
    print "$lastrun $year $lastmonthnr $lastdate $lasthour $lastminute $lastsec\n";
}

close(DATASET);



