void putGeoChamIntoObjy()
{
  // Executing initialization macro
  gROOT->Macro("justini.C");

  mainIter.cd();

  cout << "This macro will fill the database with PC chamber geometry info" << endl;

  padDetectorGeo* PCO = new padDetectorGeo();
  PCO->setDebugLevel(1);

  // Read the geometry info from file
  // standard geo
  //PCO->FetchFromFileDBFormat("Normal.txt4ptperch");
  // retracted geo
  PCO->FetchFromFileDBFormat("Retracted.txt4ptperch");

  // Set the time
  // TSstart syntax: (firstyear,firstmonth,firstdate,firsthour,firstminute,firstsec)
  // TSstop syntax:  (lastyear,lastmonth,lastdate,lasthour,lastminute,lastsec)
  // standard geo
  //PHTimeStamp TSstart = PHTimeStamp(2000,8,6,14,35,2); // after Si shutdown
  //PHTimeStamp TSstop = PHTimeStamp(2000,10,1,0,0,0);
  // retracted geo
  PHTimeStamp TSstart = PHTimeStamp(2000,4,1,0,0,0);
  PHTimeStamp TSstop = PHTimeStamp(2000,7,4,2,50,1); // before Si shutdown

  TSstart->print();
  TSstop->print();
  PCO->setTimeStampUpdateStart(TSstart);
  PCO->setTimeStampUpdateStop(TSstop);

  // Put the info into the database
  PHBoolean putStat = PCO->PutIntoGeoChamDatabase();
  if (putStat)
    printf("\n!!PUT WORKED!!\n");
  else
    printf("\n!!PUT DID NOT WORK!!\n");

  // Take out the garbage
  delete PCO;
}

