void putGeoParIntoObjy()
{
  // Executing initialization macro
  gROOT->Macro("justini.C");

  mainIter.cd();

  cout << "This macro will fill the database with PC geometry parameters" << endl;

  padDetectorGeo* PCO = new padDetectorGeo();
  PCO->setDebugLevel(1);

  double pc1Radius = 248.891;
  double pc2Radius = 419.173;
  double pc3Radius = 492.012;
  PCO->set_pc1Radius(pc1Radius);
  PCO->set_pc2Radius(pc2Radius);
  PCO->set_pc3Radius(pc3Radius);

  float phiTE = 123.7907; // From survey measurements
  float phiBE = 213.8592;
  float phiTW = 56.2961;
  float phiBW = -33.9132;
  float PhiTop[2] = {phiTE, phiTW};
  float PhiBottom[2] = {phiBE, phiBW};
  PCO->set_PhiTop(PhiTop);
  PCO->set_PhiBottom(PhiBottom);

  // Read the geometry info from file
  PCO->FetchFromFileDBFormat("padGeometry.txt");

  // Set the time
  // TSstart syntax: (firstyear,firstmonth,firstdate,firsthour,firstminute,firstsec)
  // TSstop syntax:  (lastyear,lastmonth,lastdate,lasthour,lastminute,lastsec)
  PHTimeStamp TSstart = PHTimeStamp(2000,1,1,1,1,1);
  PHTimeStamp TSstop = PHTimeStamp();
  TSstop.setToFarFuture();
  TSstart->print();
  TSstop->print();
  PCO->setTimeStampUpdateStart(TSstart);
  PCO->setTimeStampUpdateStop(TSstop);

  // Put the info into the database
  PHBoolean putStat = PCO->PutIntoGeoParDatabase();
  //PHBoolean putStat = PCO->PutIntoFile("new/padGeometry.txt");
  if (putStat)
    printf("\n!!PUT WORKED!!\n");
  else
    printf("\n!!PUT DID NOT WORK!!\n");

  // Take out the garbage
  delete PCO;
}

