void putinfoinObjy()
{
  // Executing initialization macro
  gROOT->Macro("justini.C");

  mainIter.cd();

  cout << "This macro will fill the database with PC geometry info" << endl;

  padDetectorGeo* PCO = new padDetectorGeo();
  PCO->setDebugLevel(1);

  // Read the geometry info from file
  PCO->FetchFromFileDBFormat("padGeometry.txt");

  // Set the time
  // TSstart syntax: (firstyear,firstmonth,firstdate,firsthour,firstminute,firstsec)
  // TSstop syntax:  (lastyear,lastmonth,lastdate,lasthour,lastminute,lastsec)
  PHTimeStamp TSstart = PHTimeStamp(2000,1,1,1,1,1);
  PHTimeStamp TSstop = PHTimeStamp(2001,1,1,1,1,1);
  TSstart->print();
  TSstop->print();
  PCO->setTimeStampUpdateStart(TSstart);
  PCO->setTimeStampUpdateStop(TSstop);

  // Put the info into the database
  PHBoolean putStat;
  putStat = PCO->PutIntoGeoChamDatabase();
  if (putStat)
    printf("\n!!PUT WORKED!!\n");
  else
    printf("\n!!PUT DID NOT WORK!!\n");

  // Take out the garbage
  delete PCO;
}

